Subject: Re: Problem using cygwin compiled DLL's in other Windows apps
From: "Robert Collins" <[email-masked]>
To: "Logan Bowers" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 9 Jan 2002 10:14:08 +1100

----- Original Message -----
From: "Logan Bowers" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, January 09, 2002 10:11 AM
Subject: Re: Problem using cygwin compiled DLL's in other Windows apps

> But if I do that, I lose the ability to make UNIX style system calls,
> right?

Yes. And? If you want to make a plugin for a non-unix style program
(winamp for win32) then this is a corollary of that decision.

> My version of ld (from the standard Cygwin distro) only supports
> i386pe, how do I install support for other emulations.

Huh? Just use the switch I mentioned. Read the FAQ and user guide too.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/